function::user_string_n
Prev | Chapter 25. String and data retrieving functions Tapset | Next

## Name

function::user_string_n — Retrieves string of given length from user space

## Synopsis

    1) user_string_n:string(addr:long,n:long)

    2) user_string_n:string(addr:long,n:long,err_msg:string)

## Arguments

`addr`

  the user space address to retrieve the string from

`n`

  the maximum length of the string (if not null terminated)

`err_msg`

  the error message to return when data isn't available

## Description

1) Returns the C string of a maximum given length from a given user space address. Reports an error on the rare cases when userspace data is not accessible at the given address.

2) Returns the C string of a maximum given length from a given user space address. Returns the given error message string on the rare cases when userspace data is not accessible at the given address.

Prev | Up | Next
function::user_string | Home | function::user_string_n_nofault